### Method

# Gio ListStore insert

since: 2.44

#### Declaration [src]

    void
    g_list_store_insert (
      GListStore* store,
      guint position,
      GObject* item
    )

#### Description [src]

Inserts `item` into `store` at `position`. `item` must be of type `GListStore:item-type` or derived from it. `position` must be smaller than the length of the list, or equal to it to append.

This function takes a ref on `item`.

Use `g_list_store_splice()` to insert multiple items at the same time efficiently.

Available since: 2.44

#### Parameters

`position`

  Type: `guint`

  The position at which to insert the new item.

`item`

  Type: `GObject`

  The new item.

  The data is owned by the caller of the method.